Get form state
Retrieve the current state for a form.
GET
/api/session/{sessionID}/form/{formID}/statePath parameters
sessionIDstringrequiredformIDobjectrequiredResponses
200Success
dataForm.StaterequiredShow propertiesHide properties
Any of:
object
statusstringrequiredAllowed:
pendingobject
statusstringrequiredAllowed:
answeredanswerForm.Answerrequiredobject
statusstringrequiredAllowed:
cancelled400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError | FormNotFoundError
Any of:
FormNotFoundError
_tagstringrequiredAllowed:
FormNotFoundErroridstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X GET "/api/session/string/form/%5Bobject%20Object%5D/state"const response = await fetch("/api/session/string/form/%5Bobject%20Object%5D/state", {
method: "GET"
});import requests
response = requests.get(
"/api/session/string/form/%5Bobject%20Object%5D/state",
)Response
{
"data": {
"status": "pending"
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "FormNotFoundError",
"id": "string",
"message": "string"
}